CREATE TABLE LogAvaluos ( 
NumProceso INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
Id_Vehiculo VARCHAR(10),
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
Id_Asociado VARCHAR(16),
TarifAvaluo DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
Oper_Calc CHAR(1) DEFAULT ('%') NOT NULL,
Condiciones VARCHAR(1000),
Observacion VARCHAR(500),
EstadoReg INT DEFAULT ((0)) NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
Compania VARCHAR(50),
FechaCrea SMALLDATETIME NOT NULL
 CONSTRAINT PK_LogAvaluos PRIMARY KEY CLUSTERED (NumProceso,IdCia),
 CONSTRAINT CK_LogAvaluosIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_LogAvaluosIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogAvaluosNombre CHECK ((len([Nombre])>(0))),
 CONSTRAINT CK_LogAvaluosUndVehiculo CHECK ((len([UndVehiculo])>(0))))
GO
CREATE TABLE LogAvaluosVeh ( 
NumProceso INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
UndVehiculo CHAR(1) NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
VrAvaluoAnt MONEY DEFAULT ((0)) NOT NULL,
VrAvaluo MONEY DEFAULT ((0)) NOT NULL,
OperCalc CHAR(1) DEFAULT ('$') NOT NULL
 CONSTRAINT PK_LogAvaluosVeh PRIMARY KEY CLUSTERED (NumProceso,IdCia,Item),
 CONSTRAINT CK_LogAvaluosVehIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_LogAvaluosVehIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_LogAvaluosVehIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_LogAvaluosVehOperCalc CHECK ((len([OperCalc])>(0))),
 CONSTRAINT CK_LogAvaluosVehUndVehiculo CHECK ((len([UndVehiculo])>(0))))
GO
CREATE TABLE LogTmAportes ( 
IdUsuario VARCHAR(5) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
nRemolque VARCHAR(10),
VrAporte MONEY DEFAULT ((0)) NOT NULL,
VrAvaluo MONEY DEFAULT ((0)) NOT NULL,
VrComercial MONEY DEFAULT ((0)) NOT NULL,
VrAsegurado MONEY DEFAULT ((0)) NOT NULL,
VrBaseLiq MONEY DEFAULT ((0)) NOT NULL,
TipoBaseLiq CHAR(1) DEFAULT ('A') NOT NULL,
TarifaApo DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
Cantidad DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
FecUltLiquida SMALLDATETIME,
FecVence SMALLDATETIME NOT NULL,
CodTarifApo VARCHAR(4),
TipoAfiVeh VARCHAR(10),
CantDiasVinc DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
VrDiasVinc MONEY DEFAULT ((0)) NOT NULL,
EstadoReg INT DEFAULT ((0)) NOT NULL,
Observacion VARCHAR(1000),
TipoVehic VARCHAR(50),
NomAsociado VARCHAR(150),
DescVehiculo VARCHAR(500)
 CONSTRAINT PK_LogTmAportes PRIMARY KEY CLUSTERED (IdUsuario,Item),
 CONSTRAINT CK_LogTmAportesIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_LogTmAportesIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogTmAportesIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_LogTmAportesTipoBaseLiq CHECK ((len([TipoBaseLiq])>(0))),
 CONSTRAINT CK_LogTmAportesUndVehiculo CHECK ((len([UndVehiculo])>(0))))
GO

ALTER TABLE LogAvaluosVeh ADD 
 CONSTRAINT FK_LogAvaluosVeh_LogAvaluos FOREIGN KEY (NumProceso,IdCia) REFERENCES [dbo].[LogAvaluos] (NumProceso,IdCia)

CREATE NONCLUSTERED INDEX IX_LogTmAportesIdVehiculo ON LogTmAportes(IdVehiculo)
 CREATE NONCLUSTERED INDEX IX_LogTmAportesIdAsociado ON LogTmAportes(IdAsociado)
